#include <iostream>
using namespace std;

const int N=1e7+1;
int a[N];
int n;

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    cin >> n;
    for(int i=0;i<n;i++) cin >> a[i];

    int r=0;
    for(int i=0;i<n;i++)
    for(int j=i+1;j<n;j++)
     if(a[j]>a[i]) r=max(r,a[j]-a[i]);

	cout << r << endl;
}


